Xerces-C++: XMLNumber Class Reference

Xerces-C++ 3.3.0

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
XMLNumber Class Referenceabstract

`#include <xercesc/util/XMLNumber.hpp>`

Inheritance diagram for XMLNumber:

## Public Types
enum | { LESS_THAN = -1 , EQUAL = 0 , GREATER_THAN = 1 , INDETERMINATE = 2 }
enum | NumberType { Float , Double , BigDecimal , DateTime , UnKnown }

## Public Member Functions
virtual | ~XMLNumber ()
virtual XMLCh * | getRawData () const =0
| Return string representation of the decimal value.
virtual const XMLCh * | getFormattedString () const =0
| Return the original and converted value of the original data.
virtual int | getSign () const =0
| Returns the sign of this number.
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Static Public Member Functions
static XMLNumber * | loadNumber (XMLNumber::NumberType numType, XSerializeEngine &serEng)

## Protected Member Functions
| XMLNumber ()
| XMLNumber (const XMLNumber &)
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
LESS_THAN |
EQUAL |
GREATER_THAN |
INDETERMINATE |

## ◆ NumberType

enum XMLNumber::NumberType

Enumerator
Float |
Double |
BigDecimal |
DateTime |
UnKnown |

## Constructor & Destructor Documentation

## ◆ ~XMLNumber()

virtual XMLNumber::~XMLNumber | ( |  | ) |
| virtual

## ◆ XMLNumber() [1/2]

XMLNumber::XMLNumber | ( |  | ) |
| protected

## ◆ XMLNumber() [2/2]

XMLNumber::XMLNumber | ( | const XMLNumber & |  | ) |
| protected

## Member Function Documentation

## ◆ getFormattedString()

virtual const XMLCh * XMLNumber::getFormattedString | ( |  | ) | const
| pure virtual

Return the original and converted value of the original data.

(applicable to double/float)

The internal buffer is returned directly, user is not required to delete the returned buffer

Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.

## ◆ getRawData()

virtual XMLCh * XMLNumber::getRawData | ( |  | ) | const
| pure virtual

Return string representation of the decimal value.

A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer

Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.

## ◆ getSign()

virtual int XMLNumber::getSign | ( |  | ) | const
| pure virtual

Returns the sign of this number.

-1 negative 0 zero 1 positive

Implemented in XMLAbstractDoubleFloat, XMLBigDecimal, and XMLDateTime.

## ◆ loadNumber()

static XMLNumber * XMLNumber::loadNumber | ( | XMLNumber::NumberType | numType,
|  | XSerializeEngine & | serEng )
| static

The documentation for this class was generated from the following file:

- XMLNumber.hpp